library IEEE;
use IEEE.STD_LOGIC_1164.ALL;
use ieee.numeric_std.ALL;

entity p08_multiplikation is Port (
	clk : in std_logic;
	f1 : in std_logic_vector(3 downto 0);
	f2 : in std_logic_vector(3 downto 0);
	p : out std_logic_vector(7 downto 0);
	start: in std_logic;
	busy : out std_logic);
end p08_multiplikation;

architecture Behavioral of p08_multiplikation is

begin

-- f1 und f2 sind die beiden Faktoren, p das Produkt. Wenn start '1' ist, sind die Daten an den Eingängen f1 und f2 valide.
-- busy ist '0' wenn die Daten am Ausgang p valide sind und neue Daten an die Eingänge gelegt werden dürfen.
-- Es soll keine Berechnung ausgelassen werden, also immer wenn neue Daten valide an den Eingängen anliegen
-- soll einige Takte später ein korrektes Ergebnis folgen.
-- Die Multiplikation soll durch mehrere Additionen erfolgen.

process begin
	wait until rising_edge(clk);

	
	
end process;

end Behavioral;